IBM Support

IV91172: Update level of GSKit to 8.0.50.75

Subscribe

You can track all active APARs for this component.

 

APAR status

  • Closed as program error.

Error description

  • IBM MQ ships the GSKit component to provide cryptographic
    capabilities. This APAR updates this component to the GSKit
    level 8.0.50.75
    
    This update has compatibility implications if sharing key
    databases with other applications or installations using an
    version of the GSKit component earlier that 8.0.50.69 - see note
    below.
    

Local fix

Problem summary

  • ****************************************************************
    USERS AFFECTED:
    All users of IBM MQ
    
    
    Platforms affected:
    MultiPlatform
    
    ****************************************************************
    PROBLEM DESCRIPTION:
    This APAR updates the GSKit component supplied
    with IBM MQ versions 7.1, 7.5, 8.0 and 9.0 to the level:
    
        8.0.50.75
    

Problem conclusion

  • This APAR updates the GSKit component level for the following
    platforms:
    
      AIX
      HP-UX (IA64)
      Linux (x86-32)
      Linux (x86-64)
      Linux PPC64
      Linux PPC64 Little Endian
      zLinux
      Solaris (x86-64)
      Solaris (SPARC)
      Windows (x86-32)
      Windows (x86-64)
    
    Please note that not all platforms are applicable for every MQ
    release.
    
    *** Attention ***
    
    This update alters the stash file format used when generating a
    .sth file to stash the key database password. Stash files
    generated by this level of the GSKit component will not be
    readable by earlier levels of the GSKit component.
    
    To ensure compatibility, any applications or other installations
    should be updated to a version of MQ containing at least GSKit
    8.0.50.69 if using a stash file generated with this level of
    GSKit.
    
    If it is not possible to update applications or other
    installations, a backwards-compatible stash file format may be
    requested by supplying the "-v1stash" command line parameter to
    the runmqakm or runmqckm commands when using the "-stash" or
    "-stashpw" options  to request a stash file be generated. It is
    not possible to generate a backwards-compatible stash file when
    using the iKeyman GUI.
    
    ---------------------------------------------------------------
    The fix is targeted for delivery in the following PTFs:
    
    Version    Maintenance Level
    v7.5       7.5.0.8
    v8.0       8.0.0.7
    v9.0 CD    9.0.2
    v9.0 LTS   9.0.0.1
    
    The latest available maintenance can be obtained from
    'WebSphere MQ Recommended Fixes'
    http://www-1.ibm.com/support/docview.wss?rs=171&uid=swg27006037
    
    If the maintenance level is not yet available information on
    its planned availability can be found in 'WebSphere MQ
    Planned Maintenance Release Dates'
    http://www-1.ibm.com/support/docview.wss?rs=171&uid=swg27006309
    ---------------------------------------------------------------
    

Temporary fix

Comments

APAR Information

  • APAR number

    IV91172

  • Reported component name

    WMQ LIN X86-64

  • Reported component ID

    5724H7230

  • Reported release

    710

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2016-12-01

  • Closed date

    2017-01-17

  • Last modified date

    2017-06-01

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    WMQ LIN X86-64

  • Fixed component ID

    5724H7230

Applicable component levels

[{"Business Unit":{"code":"BU048","label":"IBM Software"},"Product":{"code":"SSCPQ63","label":"APAR \/ Maintenance"},"Platform":[{"code":"PF025","label":"Platform Independent"}],"Line of Business":{"code":"","label":""}}]

Document Information

Modified date:
27 April 2020